using System;
using System.Collections.Generic;
namespace jebem_mamu
{
    class Program
    {
        static void Main(string[] args)
        {
            ulong x, y,d;
            string prvi,drugi,kraj="";
            x = Convert.ToUInt64(Console.ReadLine());
            y = Convert.ToUInt64(Console.ReadLine());
            prvi = Convert.ToString(x);
            drugi = Convert.ToString(y);
            if (prvi.Length > drugi.Length)
            {
                int razlika = prvi.Length - drugi.Length;
                drugi=new string(' ', razlika)+ drugi;
            }
            else if(drugi.Length > prvi.Length)
            {
                int razlika = drugi.Length - prvi.Length;
                prvi = new string(' ', razlika)+prvi;
            }
            for (int i = 0; i < prvi.Length; i++)
            {
                if (prvi[i] == drugi[i])
                {
                    kraj += prvi[i];
                    kraj += drugi[i];
                }
                else if (prvi[i] < drugi[i]) kraj += drugi[i];
                else kraj += prvi[i];

            }
            d = Convert.ToUInt64(kraj);
            Console.WriteLine(d);
        }
    }
}